;;; -*- Mode:Lisp; Package:DYPAR; Base:10; -*-
;;;		  LastEditDate =  13:68:19  We, 05-Sep-89  -- Jesus Boti

					;(load "bootsinwn.cl")


(format t "~&Cargando el Interprete de Lenguaje Natural Dypar~&")

;;16-Nov-00


(if (not (find-package "DYPAR"))
    (make-package "DYPAR" :use '("LISP" "USER")))

(in-package "DYPAR")

(load "C:/isbc/fuentes/macros.lsp")
(load "C:/isbc/fuentes/struc.lsp")
(load "C:/isbc/fuentes/general.lsp")
(load "C:/isbc/fuentes/var.lsp")
(load "C:/isbc/fuentes/babel.lsp")
(load "C:/isbc/fuentes/xload.lsp")
(load "C:/isbc/fuentes/xref.lsp")
(load "C:/isbc/fuentes/xmatch6org.cl")
(load "C:/isbc/fuentes/extend.lsp")
(load "C:/isbc/fuentes/dyread.lsp")
(load "C:/isbc/fuentes/xpar.lsp")
(load "C:/isbc/fuentes/decl.lsp")
(load "C:/isbc/fuentes/runtime.lsp")
(load "C:/isbc/fuentes/dytest.lsp")

(load "C:/isbc/fuentes/elipsis.lsp")

(load "C:/isbc/fuentes/dypartra.lsp")
(load "C:/isbc/fuentes/conexion.lsp")
(load "C:/isbc/fuentes/grafic.lsp")

(format t "~&Cargando el IERL~&")
(load "Ierl.lsp")
(load-IERL-system)
(format t "~&Cargando la bc bloques~&")
(load "bloques.lsp")
(bloques)
(load "ventana.lsp")
(crear-ventana)
(crear-mesa)

;; redefinicion de funciones que daran problemas en dypar
(defun what-is-it (nombre) (what-is-it? (first nombre)))
(defun is-a (nombre ascendiente) (is-a?  (first nombre) (first 
ascendiente)))
(defun what-does-it-have (nombre) (what-does-it-have?  (first nombre)))
(defun how-many-does-it-have (nombre tipo) (how-many-does-it-have?
                                            (first nombre) (first tipo)))

(defun describe-form (form)
  (let* ((slots-form (get-slots form))
	(slots
	 (dolist (slt_obj (get-slots 'objeto))
	   (setf slots-form (remove slt_obj slots-form))))
	 (slots-have (what-does-it-have? form)))
    (format t "~&~S is a(n) ~S ~&" form (first (what-is-it? form)))
    (format t "~&Atributos ~&")
    (dolist (s slots-form)
      (format t "~& ~S: ~S ~&" s (get-value form s)))
    (format t "~&Tiene ~&")
    (dolist (h slots-have)
      (format t "~& ~S: ~S ~&" h
	      (how-many-does-it-have? form h))))
  (values))

(defun singular (sim)
   (multiple-value-bind (simbolo intern?)
           (find-symbol (string-right-trim "S" (symbol-name sim)))
		   simbolo))
(loadgra "gramatica1.gra")
(parser)
(setq !ptrace t)
;(setq !show-expanded t)
;;--------------------------------------




